<p style="margin-bottom: 0; padding-bottom: 0">
  <a href="https://monarchapp.io">
    <img src="https://raw.githubusercontent.com/Dropsource/monarch/master/_assets/monarch_m_cropped.png" alt="Monarch" height="64" />
  </a>
</p>

# Monarch

Build high-quality UIs with ease. Monarch is a tool for building Flutter widgets in isolation. It makes it easy to build, test and debug complex UIs.

## Documentation
* [Getting Started](https://monarchapp.io/docs/introduction)
* [Install Monarch](https://monarchapp.io/docs/install)
* [Write your first story](https://monarchapp.io/docs/write-first-story)
* [Learn more](https://monarchapp.io/docs/learn-more)

## Sample projects
The [Monarch Samples](https://github.com/Dropsource/monarch_samples) repo is a 
curated collection of sample projects which show Monarch working with various 
packages, patterns and tools.

## Community
* For announcements about new releases subscribe to our [newsletter](http://eepurl.com/hJ-S0L)
* Follow us on Twitter [@monarch_app](https://twitter.com/monarch_app)
* If you have any questions or run into any issues, please create an issue in this repo.

## About Monarch
Monarch is a tool for building Flutter widgets in isolation. It makes it easy to build, test and debug complex UIs.

Monarch is inspired by [Storybook](https://storybook.js.org/). 

### Build widgets faster
- Build your widgets in isolation.
- Isolate your widgets by writing stories.
- Render stories without worrying about data, emulators, backends or business logic.
- Browse stories to verify your UI is right.
- Ditch the emulator for common tasks, free up memory and resources.

<p align="center">
  <img src="https://raw.githubusercontent.com/Dropsource/monarch/master/_assets/monarch-build.gif" alt="Build widgets faster with Monarch">
</p>

### Find and fix bugs with ease
- Render edge cases with little effort.
- From your stories, navigate to your code to find and fix bugs.
- Monarch renders your fixes much faster than an emulator.
- Mock dependencies to render visual states that are hard to reproduce.
- Reuse your stories from your widget tests.

<p align="center">
  <img src="https://raw.githubusercontent.com/Dropsource/monarch/master/_assets/monarch-fix.gif" alt="Find and fix bugs with ease">
</p>

### Build responsive UIs easily
- See your widgets in different devices and tune them easily with hot reload.
- Switch between dark mode, light mode or your own custom theme.
- See your UI under the locales your app supports.
- Make sure your app remains accessible and usable at large text scale factors.

<p align="center">
  <img src="https://raw.githubusercontent.com/Dropsource/monarch/master/_assets/monarch-knobs.gif" alt="Build responsive UIs easily">
</p>

### Debug widgets in isolation
- Fine-tune animations, fix layout issues, align text.
- Find images using too much memory.
- Use DevTools.
- Debug your widgets without running the full app.

<p align="center">
  <img src="https://raw.githubusercontent.com/Dropsource/monarch/master/_assets/monarch-debug.gif" alt="Build responsive UIs easily">
</p>
